import { jsx as _jsx } from "react/jsx-runtime";
import * as React from 'react';
import { ApolloProvider } from '@apollo/client';
import { createApolloClient } from './utils';
export const ApolloMockedProvider = ({ children, Provider = ApolloProvider, ...rest })=>{
    const client = createApolloClient(rest);
    return /*#__PURE__*/ _jsx(Provider, {
        client: client,
        children: children
    });
};

//# sourceMappingURL=ApolloMockedProvider.js.map